Index: Commands/Help.tmCommand
===================================================================
--- Commands/Help.tmCommand	(revision 7856)
+++ Commands/Help.tmCommand	(working copy)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
 <plist version="1.0">
 <dict>
 	<key>beforeRunningCommand</key>
@@ -73,6 +73,12 @@
     
     It makes the most sense to set this as a project specific variable (as opposed to a global variable). This is done by deselecting everything in the project drawer and then clicking the small circled I button in the lower right corner of the drawer.
 
+*   `TM_XCODE_BUILD_FOLDER`
+
+    If your file structure is so that TextMate can't automatically find the location of your Build Products path, then you can set this enviromental variable to the full path to the Built Products folder.
+
+    Example: If the path to your built products is /Users/allan/Development/Builds/ProjectA.app, set `TM_XCODE_BUILD_FOLDER` to '/Users/allan/Development/Builds/'
+
 *   `TM_MUTE`
 
     If you do not like the samples being played after a build, you can set this variable to 1. This can be done in Preferences &amp;#x2192; Advanced &amp;#x2192; Shell Variables.
Index: Support/bin/run_xcode_target.rb
===================================================================
--- Support/bin/run_xcode_target.rb	(revision 7856)
+++ Support/bin/run_xcode_target.rb	(working copy)
@@ -48,16 +48,18 @@
     def results_path
       # default to global build results
       prefs = OSX::PropertyList.load(File.new("#{ENV['HOME']}/Library/Preferences/com.apple.Xcode.plist"))
-      dir = prefs['PBXProductDirectory'] || File.dirname(@project_path) + "/build"
-      
-      # || user pref for SYMROOT + the active configuration
-      if Xcode.supports_configurations? then
-        user          = user_settings_data
-        userBuild     = user && user[@project_data['rootObject']]['userBuildSettings']
-        if userBuild && userBuild['SYMROOT']
-          dir = userBuild['SYMROOT']
+      dir = "#{ENV['TM_XCODE_BUILD_FOLDER']}"  #look for a user overriding build folder
+      if dir.empty? then
+        dir = prefs['PBXProductDirectory'] || File.dirname(@project_path) + "/build"
+        # || user pref for SYMROOT + the active configuration
+        if Xcode.supports_configurations? then
+          user          = user_settings_data
+          userBuild     = user && user[@project_data['rootObject']]['userBuildSettings']
+          if userBuild && userBuild['SYMROOT']
+            dir = userBuild['SYMROOT']
+          end
+          dir += "/#{active_configuration_name}"
         end
-        dir += "/#{active_configuration_name}"
       end
       dir
     end     
@@ -257,6 +261,7 @@
             cmd = %Q{#{setup_cmd} #{e_sh executable}}
             block.call(:start, file_path )
 
+            puts "Launching app at: <strong>#{dir_path}" + '/' + executable + "</strong>"
             # If the executable doesn't exist, PTY.spawn might not return immediately
 						executable_path = File.expand_path(dir_path) + '/' + executable
             if not File.exist?(executable_path)
